---
- name: Restart switchd
  listen: restart_switchd
  ansible.builtin.systemd:
    name: switchd
    state: restarted

- name: Reload networking
  listen: reload_networking
  ansible.builtin.command: "ifreload -a"

- name: Make sure clagd service is running
  when: mlag is defined
  listen: reload_networking
  ansible.builtin.systemd:
    name: clagd
    state: started

- name: Install ACL's
  listen: install_acl
  ansible.builtin.command: "/usr/cumulus/bin/cl-acltool -i"

- name: Restart FRR
  listen: restart_frr
  ansible.builtin.systemd:
    name: frr
    state: restarted
  register: frr_restart

- name: Reload FRR
  listen: reload_frr
  ansible.builtin.systemd:
    name: frr
    state: reloaded
  when: frr_restart is undefined

- name: Restart switchd
  when: 
    - bgp_imports is defined 
    - bgp_imports | length
  listen: restart_switchd
  ansible.builtin.systemd:
    name: switchd
    state: restarted

